Subject: Re: [bug#61263] [PATCH] gnu: dbacl: Fix failing check phase.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 04 Feb 2023 10:07:38 +0000

Hi Danny,

Low-quality review incoming.

I've merged the two duplicate-looking bugs 61263 & 61270.  What happened?

When adding new patch files, you need also add them to gnu/local.mk's sorted dist_patch_DATA list.  Thanks for submitting it upstream!

Reviewing the rest in K-9 is difficult because of the sweeping indentation changes.  Could you submit a v2 without them?

I suspect I'm disagreeing with 'guix style' and not with you, but the 'source' , '#t', and comment changes are steps back IMO (that poor "/"!).

As a rule, there's no requirement to blanket reformat existing code in Guix.  'guix style' isn't there yet.

Removing the obsolete '#t's entirely is welcome though—in a separate commit.

Thanks!

T G-R

Sent on the go.  Excuse or enjoy my brevity.